const response = await fetch(
'https://service.pcibooking.net/api/credentials/my-stripe-credentials',
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.delete(
'https://service.pcibooking.net/api/credentials/my-stripe-credentials',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.status_code)
Credentials deleted successfully. No content returned.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "...",
"errorList": null
}
Gateway Credentials
Delete Payment Gateway Credentials
Delete a stored set of payment gateway credentials.
DELETE
/
api
/
credentials
/
{credentialsId}
const response = await fetch(
'https://service.pcibooking.net/api/credentials/my-stripe-credentials',
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.delete(
'https://service.pcibooking.net/api/credentials/my-stripe-credentials',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.status_code)
Credentials deleted successfully. No content returned.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "...",
"errorList": null
}
Gateway Credentials Guide
Store and manage payment gateway credentials
Error Responses
| Code | HTTP Status | Condition |
|---|---|---|
| none | 401 | API key is missing or invalid. The response body is empty. |
-1003 | 403 | User type is not Booker. message names the reason. |
-125 | 400 | Bad input data. |
Parameters
Authentication
API key only. This endpoint does not accept access tokens or session tokens.string
required
Your API key prefixed with
APIKEY. Example: APIKEY your-api-key. The x-pcibooking-api-key header is also accepted. See the Authentication guide.Path Parameters
string
required
The ID given to the credentials for the payment gateway when they were stored in PCI Booking.
const response = await fetch(
'https://service.pcibooking.net/api/credentials/my-stripe-credentials',
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log(response.status);
import requests
response = requests.delete(
'https://service.pcibooking.net/api/credentials/my-stripe-credentials',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.status_code)
Response
Credentials deleted successfully. No content returned.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "...",
"errorList": null
}

